SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF OBJECT_ID('dbo.usp_GetTransactionsByProduct') IS NOT NULL
   DROP PROCEDURE dbo.usp_GetTransactionsByProduct
GO
-- =============================================
-- Author:		Eric Miles
-- Create date: 8/22/2008
-- Description:	
-- =============================================
CREATE PROCEDURE usp_GetTransactionsByProduct
	-- Add the parameters for the stored procedure here
	@startDT datetime = 0, 
	@endDT datetime = 0
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
	SELECT		p.PartNum as 'ProductsPartNum', p.Description as 'ProductsDescription',
				p.PackageQty as 'ProductsPackageQty', p.Price as 'ProductsPrice',
				t.TransactionDT as 'TransactionsTransactionDT'
	FROM		Transactions t
					JOIN Products p on p.ProductNo = t.ProductNo
	WHERE		t.TransactionDT >= @startDT AND t.TransactionDT <= @endDT
	GROUP BY	p.PartNum, p.Description, p.PackageQty, p.Price, t.TransactionDT
	ORDER BY	p.PartNum, t.TransactionDT
END
GO
