

' Database installation script
' This script assumes that the SQL database is installed under MSSQL.1
main

sub main
   strComputer = "."
   Set objWMIService = GetObject("winmgmts:" _
       & "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")
   Set colOperatingSystems = objWMIService.ExecQuery _
       ("Select * from Win32_OperatingSystem")


Dim dbDataDir, dbName
dbDataDir = GetDBDataDir() 'Get DB data directory - assuming it's the first instance
dbName = GetDBName() 'Get DB name from user prompt, default using AIS_S3
Set objFSO = CreateObject("Scripting.FileSystemObject")
'msgbox dbDataDir & "\" & dbName & ".mdf"
if objFSO.FileExists (dbDataDir & "\" & dbName & ".mdf") Then
  msgbox(dbDataDir & "\" & dbName & ".mdf" & " exists." & VBCrLf & VBCrLf & "This is an install script and it is not supposed to be used for upgrade.  If you insist, please rename or remove the db file and run this script again"), 16
  
  WScript.Quit(1)
End if 
Dim fileContents, newFileContents

'Read the drop database template and create new file with database name
fileContents = ReadFile("drop_database_template.sql")
newFileContents = Replace(fileContents, "#DBNAME#", dbName, 1, -1, 1)
WriteFile "drop_database.sql", newFileContents

'Read the create database template and create new file with database name, and database data path
fileContents = ReadFile("create_database_template.sql")
newFileContents = Replace(fileContents, "#DATADIR#", dbDataDir, 1, -1, 1)
newFileContents = Replace(newFileContents, "#DBNAME#", dbName, 1, -1, 1)
WriteFile "create_database.sql", newFileContents

'Read the create database login template and create new file with database name
fileContents = ReadFile("create_database_logins_template.sql")
newFileContents = Replace(fileContents, "#DBNAME#", dbName, 1, -1, 1)
WriteFile "create_database_logins.sql", newFileContents

'Read the create database objects template and create new file with database name
fileContents = ReadFile("create_database_objects_template.sql")
newFileContents = Replace(fileContents, "#DBNAME#", dbName, 1, -1, 1)
WriteFile "create_database_objects.sql", newFileContents

'Read the empty table template and create new file with database name
fileContents = ReadFile("empty_tables_template.sql")
newFileContents = Replace(fileContents, "#DBNAME#", dbName, 1, -1, 1)
WriteFile "empty_tables.sql", newFileContents

'Run sql scripts using sqlcmd
'- Drop database
'- Create database
'- Create database logins
'- Create database object using aisadmin account
'- init database object using aisadmin account
'- Add stored procedures using aisadmin account

Dim shell
Set shell = WScript.CreateObject("WScript.Shell")
shell.Run "sqlcmd -d master -E -i drop_database.sql", 1, true
shell.Run "sqlcmd -d master -E -i create_database.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -E -i create_database_logins.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_database_objects.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i init_database.sql", 1, true

shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetMachineSettings.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetTransactionsByTransactionDT.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetTransactionsByProduct.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetTransactionsByMachine.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetTransactionsByEmployee.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetTransactionsByDept.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetTransactionsByJob.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetTransactionsByVendor.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetBinInventory.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetLowProductInventory.sql", 1, true
shell.Run "sqlcmd -d " & dbName & " -U aisadmin -P aisPW2007 -i create_sp_GetLowBinInventory.sql", 1, true

WScript.StdOut.WriteLine("Done.")
End sub

' Get DB name from user input
' - default dbname = AIS_S3
Function GetDBName()
   defDBName = "AIS_S3"
   
   WScript.StdOut.Write("Enter database name [AIS_S3]: ")
   GetDBName = WScript.StdIn.ReadLine()
   If GetDBName = "" Then
      GetDBName = defDBName
   End If
End Function

' Get DB name from user input
' - Default value is retrieved from regsitry for the first SQL installation (BIG assumption, but works most of the time)
Function GetDBDataDir()
   'Check if the OS is 64bit
   Dim SQLRegPath 
   
   Set dtmConvertedDate = CreateObject("WbemScripting.SWbemDateTime")
   Set wshShell= Wscript.CreateObject("WScript.Shell")
   strComputer = "."
   Set objWMIService = GetObject("winmgmts:" _
       & "{impersonationLevel=impersonate}!\\" & strComputer & "\root\cimv2")
   Set colOperatingSystems = objWMIService.ExecQuery _
       ("Select * from Win32_OperatingSystem")
   On Error Resume Next

   SQLRegPath = "HKLM\Software\Microsoft\Microsoft SQL Server\MSSQL.1\Setup\SQLDataRoot"
   present = WshShell.RegRead(SQLRegPath )

   if err.number<>0 then
     SQLRegPath = "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Microsoft SQL Server\MSSQL12.MSSQLSERVER\Setup\SQLDataRoot"
   end if

   Dim OSArch
   For Each objOperatingSystem in colOperatingSystems
     OSArch = objOperatingSystem.OSArchitecture
     If OSArch = "64-bit" Then
       err.number = 0
       SQLRegPath = "HKLM\Software\Wow6432Node\Microsoft\Microsoft SQL Server\MSSQL.1\Setup\SQLDataRoot"
	present = WshShell.RegRead(SQLRegPath )
	if err.number<>0 then
		SQLRegPath = "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Microsoft\Microsoft SQL Server\MSSQL12.MSSQLSERVER\Setup\SQLDataRoot"
	end if 
     End if
   Next
   On Error GoTo 0
   Dim shell
   Set shell = WScript.CreateObject("WScript.Shell")
   
   defDataDir = shell.RegRead(SQLRegPath) & "\Data"

   WScript.StdOut.Write("Enter data directory [" & defDataDir & "]: ")
   GetDBDataDir = WScript.StdIn.ReadLine()
   If GetDBDataDir = "" Then
      GetDBDataDir = defDataDir
   End If
End Function

' Read file from given filename, return the content of the file
Function ReadFile(filename)
  If filename <> "" Then
    Dim fs, inStream
    
    Set fs = CreateObject("Scripting.FileSystemObject")
    Set inStream = fs.OpenTextFile(filename, 1)
    ReadFile = inStream.ReadAll
    inStream.Close
    
    Set inStream = Nothing
    Set fs = Nothing
  End If
End Function

' Write file to given filename, using the given content
Function WriteFile(filename, contents)
  Dim fs, outStream

  Set fs = CreateObject("Scripting.FileSystemObject")
  Set outStream = fs.OpenTextFile(filename, 2, True)
  outStream.Write contents
  outStream.Close
  
  Set outStream = Nothing
  Set fs = Nothing
End Function
